Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.ad
Interface AdContentProvider

All Known Implementing Classes:
  AdContentProviderBase, DefaultContentProvider, ImageContentProvider, ShockwaveContentProvider, TextContentProvider

public interface AdContentProvider

The public interface of an object which can render ad Content objects into displayable content.

Field Summary
`static int` | `NEW_WINDOW` Option to allow a new window
`static String` | `NEW_WINDOW_TYPE` The type designating a new window.
`static int` | `PREVIEW` Option saying we are in preview mode

Method Summary
`String` | `renderContent(Node content, long identifier, String servletBase, int height, int width, int options)` Return the XHTML content for the specified content

Field Detail

### NEW_WINDOW_TYPE

    public static final String NEW_WINDOW_TYPE

  The type designating a new window.

  See Also:
    Constant Field Values

### NEW_WINDOW

    public static final int NEW_WINDOW

  Option to allow a new window

  See Also:
    Constant Field Values

### PREVIEW

    public static final int PREVIEW

  Option saying we are in preview mode

  See Also:
    Constant Field Values

Method Detail

### renderContent

    public String renderContent(Node content,
                                long identifier,
                                String servletBase,
                                int height,
                                int width,
                                int options)
                         throws AdContentException

  Return the XHTML content for the specified content

  Parameters:
    `content` - The content element to render
    `identifier` - A long that is used to access the database record
    `servletBase` - The Web App root for the click thru servlet
    `height` - The suggested height
    `width` - The suggested width
  Throws:
    `AdContentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved